diff -urN pspsdk-2493-orig/src/audio/pspaudio.h pspsdk-2493/src/audio/pspaudio.h
--- pspsdk-2493-orig/src/audio/pspaudio.h	2010-06-09 00:01:38 +0900
+++ pspsdk-2493/src/audio/pspaudio.h	2010-06-09 00:03:00 +0900
@@ -103,7 +103,7 @@
   *
   * @return 0 on success, an error if less than 0.
   */
-int sceAudioOutput(int channel, int vol, void *buf);
+int sceAudioOutput(int channel, int vol, const void *buf);
 
 /**
   * Output audio of the specified channel (blocking)
@@ -116,7 +116,7 @@
   *
   * @return 0 on success, an error if less than 0.
   */
-int sceAudioOutputBlocking(int channel, int vol, void *buf);
+int sceAudioOutputBlocking(int channel, int vol, const void *buf);
 
 /**
   * Output panned audio of the specified channel
@@ -131,7 +131,7 @@
   *
   * @return 0 on success, an error if less than 0.
   */
-int sceAudioOutputPanned(int channel, int leftvol, int rightvol, void *buf);
+int sceAudioOutputPanned(int channel, int leftvol, int rightvol, const void *buf);
 
 /**
   * Output panned audio of the specified channel (blocking)
@@ -146,7 +146,7 @@
   *
   * @return 0 on success, an error if less than 0.
   */
-int sceAudioOutputPannedBlocking(int channel, int leftvol, int rightvol, void *buf);
+int sceAudioOutputPannedBlocking(int channel, int leftvol, int rightvol, const void *buf);
 
 /**
   * Get count of unplayed samples remaining
diff -urN pspsdk-2493-orig/src/ge/pspge.h pspsdk-2493/src/ge/pspge.h
--- pspsdk-2493-orig/src/ge/pspge.h	2010-06-09 00:01:39 +0900
+++ pspsdk-2493/src/ge/pspge.h	2010-06-09 00:05:45 +0900
@@ -196,7 +196,7 @@
   * @param cb - Configured callback data structure
   * @return The callback ID, < 0 on error
   */
-int sceGeSetCallback(PspGeCallbackData *cb);
+int sceGeSetCallback(const PspGeCallbackData *cb);
 
 /**
   * Unregister the callback handlers
diff -urN pspsdk-2493-orig/src/gu/pspgu.h pspsdk-2493/src/gu/pspgu.h
--- pspsdk-2493-orig/src/gu/pspgu.h	2010-06-09 00:01:41 +0900
+++ pspsdk-2493/src/gu/pspgu.h	2010-06-09 00:03:00 +0900
@@ -1113,7 +1113,7 @@
   * @param destw - Destination buffer width (block aligned)
   * @param dest - Destination pointer
 **/
-void sceGuCopyImage(int psm, int sx, int sy, int width, int height, int srcw, void* src, int dx, int dy, int destw, void* dest);
+void sceGuCopyImage(int psm, int sx, int sy, int width, int height, int srcw, const void* src, int dx, int dy, int destw, void* dest);
 
 /**
   * Specify the texture environment color
@@ -1285,7 +1285,7 @@
   * This will stall the rendering pipeline until the current image upload initiated by
   * sceGuCopyImage() has completed.
 **/
-void sceGuTexSync();
+void sceGuTexSync(void);
 
 /**
   * Set if the texture should repeat or clamp
diff -urN pspsdk-2493-orig/src/gu/sceGuCopyImage.c pspsdk-2493/src/gu/sceGuCopyImage.c
--- pspsdk-2493-orig/src/gu/sceGuCopyImage.c	2010-06-09 00:01:41 +0900
+++ pspsdk-2493/src/gu/sceGuCopyImage.c	2010-06-09 00:03:00 +0900
@@ -8,7 +8,7 @@
 
 #include "guInternal.h"
 
-void sceGuCopyImage(int psm, int sx, int sy, int width, int height, int srcw, void* src, int dx, int dy, int destw, void* dest)
+void sceGuCopyImage(int psm, int sx, int sy, int width, int height, int srcw, const void* src, int dx, int dy, int destw, void* dest)
 {
 	sendCommandi(178,((unsigned int)src) & 0xffffff);
 	sendCommandi(179,((((unsigned int)src) & 0xff000000) >> 8)|srcw);
diff -urN pspsdk-2493-orig/src/mpeg/pspmpeg.h pspsdk-2493/src/mpeg/pspmpeg.h
--- pspsdk-2493-orig/src/mpeg/pspmpeg.h	2010-06-09 00:01:39 +0900
+++ pspsdk-2493/src/mpeg/pspmpeg.h	2010-06-09 00:03:00 +0900
@@ -97,12 +97,12 @@
  *
  * @return 0 if success.
  */
-SceInt32 sceMpegInit();
+SceInt32 sceMpegInit(void);
 
 /**
  * sceMpegFinish
  */
-SceVoid sceMpegFinish();
+SceVoid sceMpegFinish(void);
 
 /**
  * sceMpegRingbufferQueryMemSize
diff -urN pspsdk-2493-orig/src/sdk/pspsdk.h pspsdk-2493/src/sdk/pspsdk.h
--- pspsdk-2493-orig/src/sdk/pspsdk.h	2010-06-09 00:01:38 +0900
+++ pspsdk-2493/src/sdk/pspsdk.h	2010-06-09 00:03:00 +0900
@@ -118,19 +118,19 @@
  *
  * @return - 0 on success, otherwise one of ::PspKernelErrorCodes.
  */
-int pspSdkLoadInetModules();
+int pspSdkLoadInetModules(void);
 
 /**
  * Initialize Inet related modules.
  *
  * @return - 0 on success, otherwise one of ::PspKernelErrorCodes.
  */
-int pspSdkInetInit();
+int pspSdkInetInit(void);
 
 /**
  * Terminate Inet related modules.
  */
-void pspSdkInetTerm();
+void pspSdkInetTerm(void);
 
 /**
  * Search for a thread with the given name and retrieve it's ::SceKernelThreadInfo struct.
